# $Revision: 1.27 $, $Date: 2002/08/11 20:43:06 $
Summary:	libol
Summary(pl):	Biblioteka libol
Name:		libol
Version:	0.2.24
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://www.balabit.hu//downloads/syslog-ng/libol/0.3/%{name}-%{version}.tar.gz
Patch0:		%{name}-autoconf.patch
Patch1:		%{name}-gethostbyname_is_in_libc_aka_no_libnsl.patch
Patch2:		%{name}-AC_LIBOBJ.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libol is a small library used by syslog-ng, and provides
nonblocking-io, length encoded string functions and a mark & sweep
garbage collector.

%description -l pl
Libol jest niewielk bibliotek uywan przez syslog-ng, a dajc
obsug nieblokujcego wejcia/wyjcia, funkcje do obsugi cigw
znakw z zapisywan dugoci oraz odmiecacz.

%package devel
Summary:	Header files for libol
Summary(pl):	Pliki nagwkowe do libol
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for libol.

%description devel -l pl
Pliki nagwkowe do libol.

%package static
Summary:	Static libol library
Summary(pl):	Biblioteka statyczna libol
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libol library.

%description static -l pl
Biblioteka statyczna libolo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/libol-config
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/libol

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: libol.spec,v $
Revision 1.27  2002/08/11 20:43:06  kloczek
- release 2,
- added AC_LIBOBJ patch (fix "$AC_LIBOBJ vs. $LIBOBJS" problems for ac 2.53),
- use new %doc,
- "rm -f missing" on top %build.

Revision 1.26  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.25  2002/05/21 23:13:50  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/04/29 09:55:21  qboosh
- better pl description

Revision 1.23  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.22  2002/02/23 03:26:02  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:12  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:13:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/08/27 18:45:31  kloczek
- updated to 0.2.24.

Revision 1.18  2001/07/13 18:55:58  areq
- 0.2.23

Revision 1.17  2001/05/18 02:40:05  kloczek
- updated to 0.2.22,
- make libtool hapy.

Revision 1.16  2001/02/25 18:42:42  areq
- 0.2.21

Revision 1.15  2000/10/04 03:33:11  kloczek
- updated to 0.2.20,
- use new rpm automation suit.

Revision 1.14  2000/08/21 22:33:25  kloczek
- release 2,
- added gethostbyname_is_in_libc_aka_no_libnsl patch - now libol is not
  linked with libnsl.

Revision 1.13  2000/07/25 05:55:23  kloczek
- updated to 0.2.18.

Revision 1.12  2000/06/09 07:23:24  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/07 03:01:13  kloczek
- spec adapterized.

Revision 1.10  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.9  2000/04/01 11:14:52  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/02/28 11:10:23  kloczek
- updated to 0.2.16,
- fix: enable %patch0 in %prep.

Revision 1.7  2000/02/20 12:48:28  kloczek
- updated to 0.2.9,
- spec adapterized,
- strip hared libraries,
- moved lib*.so to devel,
- remoded SONAME symlinks from main,
- 755 on lib*so and lib*.la.

Revision 1.6  1999/11/23 01:47:17  kloczek
- updated to 0.2.7.

Revision 1.5  1999/11/14 21:19:26  kloczek
- typo.

Revision 1.4  1999/11/14 09:04:38  kloczek
- added missing %descriptions,
- added static subpackage,
- added %post/%postun for main with calling /sbin/ldconfig,
- added missing "Requires: %%{name} = %%{version}" for devel.OA

Revision 1.3  1999/11/12 11:58:47  wiget
- updated to 0.2.5
- removed make_class from devel subpackage (need scheme shell)

Revision 1.2  1999/11/02 13:30:20  baggins
- cleanup
- macros
- striping binaries
- gziping docs
- CVS tags
- FHS 2.0

* Tue Jul 20 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [0.2.0-1]
- update to last version.

* Tue May  4 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [0.1.7-2]
- changing installation procedure,
- fixing requires problem.

* Wed Apr 28 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- build RPM.
